org.eclipse.mat.inspections

## Class ClassReferrersQuery

- java.lang.Object
- - org.eclipse.mat.inspections.ClassReferrersQuery

All Implemented Interfaces:
  IQuery

    public class ClassReferrersQuery
    extends Object
    implements IQuery

### Nested Class Summary

Nested Classes
`static class` `ClassReferrersQuery.InboundClasses`
`static class` `ClassReferrersQuery.OutboundClasses`
`static interface` `ClassReferrersQuery.Type`

### Field Summary

Fields
`boolean` `inbound`
`IHeapObjectArgument` `objects`
`ISnapshot` `snapshot`

### Constructor Summary

Constructors
Constructor and Description
`ClassReferrersQuery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

#### objects

    public IHeapObjectArgument objects

#### inbound

    public boolean inbound

### Constructor Detail

#### ClassReferrersQuery

    public ClassReferrersQuery()

### Method Detail

#### execute

    public IResult execute(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception`